# LoadMoveAnimPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class LoadMoveAnimPhase

Phase for synchronous move animation loading. Should be used when a move invokes another move that isn't already loaded (e.g. for Metronome)

#### Hierarchy (View Summary)

- Phase
  - LoadMoveAnimPhase

- Defined in src/phases/load-move-anim-phase.ts:10

##### Index

### Constructors

constructor

### Properties

moveId

### Methods

end
start

## Constructors

### constructor

- new LoadMoveAnimPhase(moveId: Moves ): LoadMoveAnimPhase

  #### Parameters

  - moveId: Moves

  #### Returns LoadMoveAnimPhase

  Overrides Phase.constructor

  - Defined in src/phases/load-move-anim-phase.ts:11

## Properties

### `Protected` moveId

moveId: Moves

- Defined in src/phases/load-move-anim-phase.ts:11

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/load-move-anim-phase.ts:15